Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdfparser
Class PDFObjectStreamParser

    java.lang.Object
      org.pdfbox.pdfparser.BaseParser
          org.pdfbox.pdfparser.PDFObjectStreamParser

public class PDFObjectStreamParser
extends BaseParser

This will parse a PDF 1.5 object stream and extract all of the objects from the stream.

Version:
  $Revision: 1.3 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Field Summary

Fields inherited from class org.pdfbox.pdfparser.BaseParser
`DEF, ENDSTREAM, pdfSource`

Constructor Summary
`PDFObjectStreamParser(COSStream strm, COSDocument doc)` Constructor.

Method Summary
`List` | `getObjects()` This will get the objects that were parsed from the stream.
`void` | `parse()` This will parse the tokens in the stream.

Methods inherited from class org.pdfbox.pdfparser.BaseParser
`addXref, getXrefs, isClosing, isClosing, isEndOfName, isEOL, isEOL, isWhitespace, isWhitespace, parseBoolean, parseCOSArray, parseCOSDictionary, parseCOSName, parseCOSStream, parseCOSString, parseDirObject, readExpectedString, readInt, readLine, readString, readString, setDocument, skipSpaces`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFObjectStreamParser

    public PDFObjectStreamParser(COSStream strm,
                                 COSDocument doc)
                          throws IOException

  Constructor.

Parameters:
  `strm` - The stream to parse.
  `doc` - The document for the current parsing.
Throws:
  `IOException` - If there is an error initializing the stream.

Method Detail

### parse

    public void parse()
               throws IOException

  This will parse the tokens in the stream. This will close the stream when it is finished parsing.

  Throws:
    `IOException` - If there is an error while parsing the stream.

### getObjects

    public List getObjects()

  This will get the objects that were parsed from the stream.

  Returns:
    All of the objects in the stream.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD